Bug 1481100 - python-Rtree is outdated and lacks Python 3 support
python-Rtree is outdated and lacks Python 3 support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-Rtree (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 1468995
  Show dependency treegraph
 
Reported: 2017-08-14 02:04 EDT by Elliott Sales de Andrade
Modified: 2017-09-02 05:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-Rtree-0.8.3-4.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-02 05:53:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliott Sales de Andrade 2017-08-14 02:04:41 EDT
Description of problem:
The latest version of Rtree is 0.8.3 [1], which can be found on their GitHub releases page [2], but only 0.7.0 is packaged. The 0.8.x series also adds support for Python 3, which is not part of the current Fedora package.

You can find an updated spec file here: https://gitlab.com/qulogic-rpms/geopy/tree/master/python-Rtree

Version-Release number of selected component (if applicable):
Rawhide: 0.7.0-11.fc27
Fedora 26: 0.7.0-10.fc26
Fedora 25: 0.7.0-9.fc25
Fedora 24: 0.7.0-8.fc24

Additional info:
[1] https://github.com/Toblerity/rtree/releases/tag/0.8.3
[2] https://github.com/Toblerity/rtree/releases
Comment 1 Elliott Sales de Andrade 2017-08-18 00:48:38 EDT
FYI, I took those specs and made a pull request in SCM:
https://src.fedoraproject.org/rpms/python-Rtree/pull-request/1
Comment 2 Zbigniew Jędrzejewski-Szmek 2017-08-18 07:22:06 EDT
I'll be rebuiling rtree anyway as part of the python2 renaming ( https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3), and I'll build with your patch then. I didn't look at the PR, but the original changed the binary package name to camelcase erroneously, which I fixed locally.

Note You need to log in before you can comment on or make changes to this bug.